<template>
<div>
  <header class="header">

  <div class="wrap">

   <h2 class="logo"><a><img src="../assets/nyt.png"/></a></h2>
    <!-- <img src="../assets/logo2.png"/> -->

    <nav class="navbar">
      <ul class="menu">
        <li><router-link to="/home" class="nav-link">Home</router-link></li>
      <li><router-link to="/articles" class="nav-link">Articles</router-link></li>
       <li><router-link to="/profile" class="nav-link">Profile</router-link></li>
      
      <li>  <a href="#" @click="logout">Logout</a>  </li>
     
      </ul>
    </nav>

  </div>
</header>
   <router-view />

 <Footer/>
 </div>  
</template>
<script>

import Footer from './privateFooter.vue'
export default {
  components: { Footer },
  name: 'App',
   methods: {
    logout(){
      this.$store.dispatch("logout").then(()=> {
        this.$router.push('/login');
      });
    }
  }
}

</script>

<style scoped>


@import url(https://fonts.googleapis.com/css?family=Nunito);




*,
*:before,
*:after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  background-color: rgba(252, 252, 252, 0.856);
  color: #000000;
  font-weight: 400;
  line-height: 1.8;
  min-height: 100vh;
   height: 100%;
    width: 100%;
    position: relative;
    height:fit-content;
   

}

#app {
  min-height: 100vh;
  height: fit-content;
}



/* html {
  font-size: 100%;
  font-family: "Nunito", Arial, sans-serif;
  font-weight: normal;
  line-height: 1.5;
  -webkit-font-smoothing: antialiased;
} */

a {
  
  opacity: 1;
  text-decoration: none;
}
a:hover {
  opacity: 0.85;
  text-decoration: underline;
}

.content {
  text-align: center;
  margin-top: 2em;
}

/* Navigation Styles */
/* Header */
.header {
  position: relative;
  width: 100%;
  background: darkslategrey;
  height: 50px;
  line-height: 50px;

}

.wrap {
  max-width: 960px;
  /* Changge this with your max-width size */
  margin: 0 auto;
}

.logo a img{
  max-height: 45px;
  margin-left: 1em;
}

.logo {
  font-family: inherit;
  font-size: 1.5em;
  margin-left: 1em;
}
.logo a {
  color: #fff;
  text-decoration: none;
  opacity: 1;
  -moz-transition: all 0.2s ease;
  -o-transition: all 0.2s ease;
  -webkit-transition: all 0.2s ease;
  transition: all 0.2s ease;
}
.logo a:hover {
  opacity: 0.85;
}

/* Mobile menu */
#menu-icon {
  display: block;
  position: absolute;
  top: 0;
  right: 1em;
  color: #fff;
  text-decoration: none;
  font-weight: bold;
  cursor: pointer;
  opacity: 1;
  padding: 0 0.4em;
}
#menu-icon:hover {
  opacity: 0.85;
  text-decoration: none;
  border: none;
}

.navbar {
  
  float: none;
  max-height: 0;
  overflow: hidden;
  -moz-transition: max-height 0.4s;
  -o-transition: max-height 0.4s;
  -webkit-transition: max-height 0.4s;
  transition: max-height 0.4s;
}
.navbar .menu {
  margin: 0;
  padding: 0;
  list-style-type: none;
}
.navbar .menu li {
  list-style-type: none;
  display: block;
}
.navbar .menu li a {
  display: block;
  text-decoration: none;
  color: #fff;
  padding: 0 0.8em;
  -moz-transition: all 0.2s ease;
  -o-transition: all 0.2s ease;
  -webkit-transition: all 0.2s ease;
  transition: all 0.2s ease;
 
}


.expand {
  max-height: 20em;
}

@media only screen and (min-width: 360px) {
  .wrap {
    padding-left: 1em;
    padding-right: 1em;
  }

  .logo {
    margin-left: 0;
  }

  .logo,
  .navbar {
    display: inline-block;
  }

  /* Mobile menu icon */
  #menu-icon {
    display: none;
  }

  .navbar {
    float: right;
    max-height: none;
  }
 
  .navbar .menu li {
    list-style-type: none;
    display: inline-block;
    text-align: center;
  }
  .navbar .menu li a {
    display: block;
    border-bottom: 0;
  }
 
}


</style>